<?php
  
$webdoc["page_title"].=" - List of auth users";

/** zadani, pro jakeho uzivatele je tento soubor k dispozici
 *  soubor je k dispozici take vsem uzivatelum, kteri maji vyssi person_role
 * DA - 1
 * DE - 2
 * TA - 3
 * TE - 4
 * TT - 5     
*/ 
$person_role = 5;
if (!auth($person_role)) 
{
  $webdoc["message"][]=database_get_message("no_permission");
  $template->template_assign("no_display",true);
  return; 
}

/** ------------------------------------------------------
 *  ZACATEK vlastniho PHP kodu
    ------------------------------------------------------ */ 

if (isset($_SESSION["$webdoc[main_table]_new_auth"])) // jestlize je sem presmerovano ze zadavani novych uzivatelu, zobraz hlasku
{
  unset($_SESSION["$webdoc[main_table]_new_auth"]);
  $webdoc["message"][]=database_get_message("new_user");  
}

if (isset($_SESSION["$webdoc[main_table]_edit_auth"])) // jestlize je sem presmerovano z editace uzivatelu, zobraz hlasku
{
  unset($_SESSION["$webdoc[main_table]_edit_auth"]);
  $webdoc["message"][]=database_get_message("edit_user");  
}

if (isset($_SESSION["$webdoc[main_table]_delete_auth"])) // jestlize je sem presmerovano z mazani uzivatele, zobraz hlasku
{
  unset($_SESSION["$webdoc[main_table]_delete_auth"]);
  $webdoc["message"][]=database_get_message("delete_user");  
}

$result=database_query("SELECT * FROM person ORDER BY person_id");
$list = database_fetch_result($result,$rows);
$template->template_assign("list",$list);
$template->assign('title', array(
                              'Person ID',
                              'Role ID',
                              'Login',
                              'Actions')
                              );
$template->assign('values', array(
                              'person_id',
                              'role_id',
                              'login')
                              );
$template->assign('actions', array(
                              'View' => 'view',
                              'Edit' => 'adduser',
                              'Delete' => 'delete_auth')
                              );
$template->template_assign("role",array("5","1","1"));
$template->assign('parametr', array(
                              'person_id',
                              'role_id')
                              );

/** ------------------------------------------------------
 *  KONEC vlastniho PHP kodu
    ------------------------------------------------------ */ 

  
?>
